Read a customer's cancellation request without changing the booking
curl --request GET \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request \
--header 'X-Catering-Token: <api-key>'import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request"
headers = {"X-Catering-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Catering-Token': '<api-key>'}};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Catering-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Catering-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request")
.header("X-Catering-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Catering-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"request": {
"id": "<string>",
"quoteId": "<string>",
"eventRevision": 4503599627370495,
"reason": "<string>",
"status": "open",
"createdAt": "2023-11-07T05:31:56Z"
},
"decision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteId": "<string>",
"eventRevision": 4503599627370495,
"outcome": "approved",
"reason": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Catering
Read a customer's cancellation request without changing the booking
GET
/
locations
/
{locationId}
/
catering
/
events
/
{eventId}
/
cancellation-request
Read a customer's cancellation request without changing the booking
curl --request GET \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request \
--header 'X-Catering-Token: <api-key>'import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request"
headers = {"X-Catering-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Catering-Token': '<api-key>'}};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Catering-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Catering-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request")
.header("X-Catering-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/cancellation-request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Catering-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"request": {
"id": "<string>",
"quoteId": "<string>",
"eventRevision": 4503599627370495,
"reason": "<string>",
"status": "open",
"createdAt": "2023-11-07T05:31:56Z"
},
"decision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteId": "<string>",
"eventRevision": 4503599627370495,
"outcome": "approved",
"reason": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Authorizations
Event and location scoped customer catering capability. Never place in query parameters.
Path Parameters
Required string length:
1 - 128Required string length:
1 - 128